Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 791745 - sys-apps/portage: emerge -uD @world slot conflict involving virtual/dist-kernel
Summary: sys-apps/portage: emerge -uD @world slot conflict involving virtual/dist-kernel
Status: CONFIRMED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Interface (emerge) (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-24 02:12 UTC by Zac Medico
Modified: 2021-10-01 03:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2021-05-24 02:12:13 UTC
This works:

> # emerge -pv zfs-kmod
> !!! Section 'prefix' in repos.conf has name different from repository name 'gentoo' set inside repository
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild  NS   ~] sys-kernel/gentoo-kernel-5.10.39:5.10.39::gentoo [5.10.37:5.10.37::gentoo] USE="initramfs -debug -savedconfig -test" 1,404 KiB
> [ebuild  r  U ~] virtual/dist-kernel-5.10.39:0/5.10.39::gentoo [5.10.37:0/5.10.37::gentoo] 0 KiB
> [ebuild   R   ~] sys-fs/zfs-kmod-2.0.4::gentoo  USE="dist-kernel rootfs -custom-cflags -debug" 0 KiB
> 
> Total: 3 packages (1 upgrade, 1 in new slot, 1 reinstall), Size of downloads: 1,404 KiB
> 
> !!! The following binary packages have been ignored due to changed dependencies:
> 
>      sys-fs/zfs-kmod-2.0.4::gentoo
> 
> NOTE: The --binpkg-changed-deps=n option will prevent emerge
>       from ignoring these binary packages if possible.
>       Using --binpkg-changed-deps=y will silence this warning.
> 
>  * IMPORTANT: 1 news items need reading for repository 'gentoo'.
>  * Use eselect news read to view new items.

Meanwhile this fails and appears similar to the check_reverse_dependencies problem noted here:

https://bugs.gentoo.org/771183#c12


> # emerge -a -uvDU @world --verbose-conflicts
> !!! Section 'prefix' in repos.conf has name different from repository name 'gentoo' set inside repository
> 
>  * IMPORTANT: 1 news items need reading for repository 'gentoo'.
>  * Use eselect news read to view new items.
> 
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild     U  ] sys-apps/tcp-wrappers-7.6.28-r1::gentoo [7.6.28::gentoo] USE="ipv6 (split-usr) -netgroups -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
> [ebuild     U  ] sys-firmware/edk2-ovmf-202008::gentoo [201905::gentoo] USE="binary" 3,405 KiB
> [ebuild     U  ] sys-firmware/ipxe-1.21.1::gentoo [1.0.0_p20190728::gentoo] USE="binary ipv6 qemu -efi -iso -lkrn -savedconfig -undi -usb -vmware" 1,817 KiB
> [ebuild     U  ] sys-firmware/seabios-1.14.0::gentoo [1.12.0::gentoo] USE="binary seavgabios -debug" 167 KiB
> [ebuild     U  ] sys-firmware/sgabios-0.1_pre10::gentoo [0.1_pre8-r1::gentoo] USE="binary" 33 KiB
> [ebuild     U  ] dev-lang/go-1.16.4:0/1.16.4::gentoo [1.16.2:0/1.16.2::gentoo] 20,427 KiB
> [ebuild     U  ] app-arch/unrar-6.0.5:0/6::gentoo [6.0.4:0/6::gentoo] 228 KiB
> [ebuild     U  ] app-editors/nano-5.6.1::gentoo [5.3-r1::gentoo] USE="ncurses spell (split-usr) (unicode) -debug -justify -magic -minimal -nls -static (-slang%)" 2,889 KiB
> [binary     UD ] net-dns/libidn-1.36-1:0/12::gentoo [1.37:0/12::gentoo] USE="-doc -emacs -java -mono -nls (-verify-sig%*)" ABI_X86="(64) -32 (-x32)" 0 KiB
> [ebuild   R    ] dev-libs/boehm-gc-8.0.4::gentoo  USE="large%* threads -cxx -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
> [ebuild     U  ] dev-python/setuptools-56.0.0::gentoo [54.2.0::gentoo] USE="-test" PYTHON_TARGETS="python3_8 python3_9 -pypy3 -python3_7" 2,007 KiB
> [ebuild     U  ] sys-libs/zlib-1.2.11-r4:0/1::gentoo [1.2.11-r3:0/1::gentoo] USE="minizip (split-usr) static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
> [ebuild     U  ] sys-libs/gdbm-1.19:0/6::gentoo [1.18.1-r1:0/6::gentoo] USE="berkdb readline -nls -static-libs" ABI_X86="(64) -32 (-x32)" 946 KiB
> [ebuild     U  ] x11-misc/compose-tables-1.7.1::gentoo [1.7.0::gentoo] 2,370 KiB
> [ebuild     U  ] x11-libs/libX11-1.7.1::gentoo [1.7.0::gentoo] USE="ipv6 -doc -test" ABI_X86="(64) -32 (-x32)" 0 KiB
> [ebuild     U ~] sys-apps/systemd-248.3:0/2::gentoo [248.2:0/2::gentoo] USE="acl cryptsetup curl gcrypt homed hwdb importd kmod lz4 lzma pam pcre pkcs11 policykit repart resolvconf seccomp (selinux) (split-usr) sysv-utils zstd -apparmor -audit -build -cgroup-hybrid -dns-over-tls -elfutils -gnuefi -http -idn -nat -pwquality -qrcode -static-libs -test -tpm -vanilla -xkb" ABI_X86="(64) -32 (-x32)" 10,080 KiB
> [ebuild     U  ] sys-devel/bison-3.7.6::gentoo [3.7.3::gentoo] USE="-examples -nls -static -test" 2,576 KiB
> [ebuild     U ~] virtual/perl-Scalar-List-Utils-1.550.0-r1::gentoo [1.550.0::gentoo] 0 KiB
> [ebuild     U  ] dev-python/cython-0.29.23::gentoo [0.29.22::gentoo] USE="-doc -emacs -test" PYTHON_TARGETS="python3_8 python3_9 -pypy3 (-python3_10) -python3_7" 2,045 KiB
> [ebuild     U  ] virtual/perl-Digest-SHA-6.20.0-r2::gentoo [6.20.0-r1::gentoo] 0 KiB
> [ebuild     U  ] virtual/perl-CPAN-Meta-YAML-0.18.0-r7::gentoo [0.18.0-r6::gentoo] 0 KiB
> [ebuild     U  ] virtual/perl-Parse-CPAN-Meta-2.150.10-r5::gentoo [2.150.10-r4::gentoo] 0 KiB
> [ebuild     U ~] virtual/perl-Module-Metadata-1.0.37-r1::gentoo [1.0.37::gentoo] 0 KiB
> [ebuild     U  ] virtual/perl-Text-ParseWords-3.300.0-r8::gentoo [3.300.0-r7::gentoo] 0 KiB
> [ebuild     U ~] virtual/perl-parent-0.238.0-r1::gentoo [0.238.0::gentoo] 0 KiB
> [ebuild     U  ] virtual/perl-Perl-OSType-1.10.0-r5::gentoo [1.10.0-r4::gentoo] 0 KiB
> [ebuild     U ~] virtual/perl-podlators-4.140.0-r2::gentoo [4.140.0::gentoo] 0 KiB
> [ebuild     U  ] virtual/perl-XSLoader-0.300.0-r4::gentoo [0.300.0-r3::gentoo] 0 KiB
> [ebuild     UD~] virtual/perl-Test-Simple-1.302.175::gentoo [1.302.183::gentoo] 0 KiB
> [ebuild     U ~] virtual/perl-Sys-Syslog-0.360.0-r1::gentoo [0.360.0::gentoo] 0 KiB
> [ebuild     U  ] dev-python/setuptools_scm-6.0.1-r1::gentoo [6.0.1::gentoo] USE="-test" PYTHON_TARGETS="python3_8 python3_9 -pypy3 (-python3_10) -python3_7" 0 KiB
> [ebuild     U  ] virtual/w3m-1::gentoo [0::gentoo] 0 KiB
> [ebuild     U  ] virtual/perl-CPAN-Meta-2.150.10-r5::gentoo [2.150.10-r4::gentoo] 0 KiB
> [ebuild     U ~] dev-python/rq-1.8.1::gentoo [1.8.0::gentoo] USE="-test" PYTHON_TARGETS="python3_8 python3_9 -python3_7" 572 KiB
> [ebuild     U  ] dev-perl/Devel-Caller-2.60.0-r2::gentoo [2.60.0::gentoo] 0 KiB
> [ebuild     U  ] sys-apps/usbredir-0.9.0::gentoo [0.8.0::gentoo] USE="-static-libs" 71 KiB
> [ebuild     U  ] dev-perl/Devel-LexAlias-0.50.0-r1::gentoo [0.50.0::gentoo] USE="-test%" 0 KiB
> [ebuild     U  ] dev-perl/Pod-LaTeX-0.610.0-r1::gentoo [0.610.0::gentoo] USE="-test%" 0 KiB
> [ebuild     U ~] sys-libs/libomp-12.0.0::gentoo [11.1.0::gentoo] USE="-cuda -hwloc -offload -ompt -test" ABI_X86="(64) -32 (-x32)" 0 KiB
> [ebuild     U  ] dev-python/jupyter_client-6.1.12::gentoo [6.1.11::gentoo] USE="-test" PYTHON_TARGETS="python3_8 python3_9 -python3_7" 295 KiB
> [ebuild     U  ] app-emulation/qemu-5.2.0-r50::gentoo [5.2.0-r3::gentoo] USE="aio bzip2 caps curl fdt filecaps io-uring jpeg ncurses opengl oss pin-upstream-blobs png seccomp (selinux) slirp smartcard static-user udev vhost-net vnc xattr -accessibility -alsa (-capstone) -debug -doc -glusterfs -gnutls -gtk -infiniband -iscsi -jack -jemalloc -lzo -multipath -nfs -nls -numa -plugins -pulseaudio -python -rbd -sasl -sdl -sdl-image -snappy -spice -ssh -static -systemtap -test -usb -usbredir -vde -vhost-user-fs -virgl -virtfs -vte -xen -xfs -zstd" PYTHON_TARGETS="python3_8 python3_9 -python3_7" QEMU_SOFTMMU_TARGETS="aarch64 arm i386 x86_64 -alpha -avr -cris -hppa -lm32 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -moxie -nios2 -or1k -ppc -ppc64 -riscv32 -riscv64 -rx -s390x -sh4 -sh4eb -sparc -sparc64 -tricore -unicore32 -xtensa -xtensaeb" QEMU_USER_TARGETS="aarch64 arm i386 x86_64 -aarch64_be -alpha -armeb -cris -hppa -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -mipsn32 -mipsn32el -nios2 -or1k -ppc -ppc64 -ppc64abi32 -ppc64le -riscv32 -riscv64 -s390x -sh4 -sh4eb -sparc -sparc32plus -sparc64 -tilegx -xtensa -xtensaeb" 0 KiB
> [ebuild     U  ] app-emulation/libvirt-glib-4.0.0::gentoo [3.0.0::gentoo] USE="introspection vala -gtk-doc% -test% (-nls%)" 159 KiB
> [ebuild     U  ] x11-libs/gtk+-3.24.29:3::gentoo [3.24.26:3::gentoo] USE="X introspection wayland (-aqua) -broadway -cloudprint -colord -cups -examples -gtk-doc -sysprof -test -vim-syntax -xinerama" ABI_X86="(64) -32 (-x32)" 20,896 KiB
> [ebuild  NS   ~] sys-devel/clang-12.0.0-r1:12::gentoo [11.1.0:11/11.1::gentoo] USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARC -ARM -AVR (-CSKY) -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ -VE -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 0 KiB
> [ebuild  NS   ~] sys-libs/compiler-rt-12.0.0:12.0.0::gentoo [11.1.0:11.1.0::gentoo] USE="clang -test" 0 KiB
> [ebuild  NS   ~] sys-libs/compiler-rt-sanitizers-12.0.0:12.0.0::gentoo [11.1.0-r1:11.1.0::gentoo] USE="asan cfi clang dfsan gwp-asan hwasan libfuzzer lsan* memprof%* msan profile safestack scudo tsan ubsan xray (-shadowcallstack) -test" 0 KiB
> [ebuild  NS   ~] sys-devel/clang-runtime-12.0.0:12.0.0::gentoo [11.1.0:11.1.0::gentoo] USE="compiler-rt openmp sanitize -libcxx" ABI_X86="(64) -32 (-x32)" 0 KiB
> [ebuild     U  ] dev-python/ipython-7.22.0-r1::gentoo [7.21.0-r1::gentoo] USE="smp -doc -examples -matplotlib -nbconvert -notebook -qt5 -test" PYTHON_TARGETS="python3_8 python3_9 -python3_7" 5,023 KiB
> [ebuild     U ~] media-gfx/imagemagick-7.0.11.13:0/7.0.11-0::gentoo [7.0.11.12:0/7.0.11-0::gentoo] USE="X bzip2 corefonts cxx jpeg openmp png postscript svg truetype xml zlib -djvu -fftw -fontconfig -fpx -graphviz -hdri -heif -jbig -jpeg2k -lcms -lqr -lzma -opencl -openexr -pango -perl -q32 -q8 -raw -static-libs -test -tiff -webp -wmf" 10,064 KiB
> [ebuild  NS   ~] sys-kernel/gentoo-kernel-5.10.39:5.10.39::gentoo [5.10.37:5.10.37::gentoo] USE="initramfs -debug -savedconfig -test" 1,404 KiB
> [ebuild     U ~] virtual/dist-kernel-5.10.39:0/5.10.39::gentoo [5.10.37:0/5.10.37::gentoo] 0 KiB
> 
> Total: 51 packages (43 upgrades, 2 downgrades, 5 in new slots, 1 reinstall, 1 binary), Size of downloads: 87,466 KiB
> 
> !!! Multiple package instances within a single package slot have been pulled
> !!! into the dependency graph, resulting in a slot conflict:
> 
> virtual/dist-kernel:0
> 
>   (virtual/dist-kernel-5.10.37-1:0/5.10.37::gentoo, installed) USE="" ABI_X86="(64)" pulled in by
>     =virtual/dist-kernel-5.10.37 required by (sys-fs/zfs-kmod-2.0.4-7:0/0::gentoo, installed) USE="dist-kernel rootfs -custom-cflags -debug" ABI_X86="(64)"
>     ^                    ^^^^^^^
>     virtual/dist-kernel:0/5.10.37= required by (sys-fs/zfs-kmod-2.0.4-7:0/0::gentoo, installed) USE="dist-kernel rootfs -custom-cflags -debug" ABI_X86="(64)"
>                        ^^^^^^^^^^^
> 
>   (virtual/dist-kernel-5.10.39:0/5.10.39::gentoo, ebuild scheduled for merge) USE="" ABI_X86="(64)" pulled in by
>     =virtual/dist-kernel-5.10.39 required by (sys-kernel/gentoo-kernel-5.10.39:5.10.39/5.10.39::gentoo, ebuild scheduled for merge) USE="initramfs -debug -savedconfig -test" ABI_X86="(64)"
>     ^                    ^^^^^^^
>     >=virtual/dist-kernel-5.10.39 required by (sys-kernel/gentoo-kernel-5.10.39:5.10.39/5.10.39::gentoo, ebuild scheduled for merge) USE="initramfs -debug -savedconfig -test" ABI_X86="(64)"
>     ^^                    ^^^^^^^
> 
> 
> It may be possible to solve this problem by using package.mask to
> prevent one of those packages from being selected. However, it is also
> possible that conflicting dependencies exist such that they are
> impossible to satisfy simultaneously.  If such a conflict exists in
> the dependencies of two different packages, then those packages can
> not be installed simultaneously. You may want to try a larger value of
> the --backtrack option, such as --backtrack=30, in order to see if
> that will solve this conflict automatically.
> 
> For more information, see MASKED PACKAGES section in the emerge man
> page or refer to the Gentoo Handbook.
> 
> 
> !!! The following binary packages have been ignored due to non matching USE:
> 
>     =dev-libs/boehm-gc-8.0.4 -large
>     =dev-libs/libgit2-1.1.0-r2 -ssh
> 
> NOTE: The --binpkg-respect-use=n option will prevent emerge
>       from ignoring these binary packages if possible.
>       Using --binpkg-respect-use=y will silence this warning.
Comment 1 Zac Medico gentoo-dev 2021-05-24 02:29:36 UTC
A larger --backtrack value solved it, which probably also goes for bug 771183 since nobody every responded to my question about backtracking in bug 771183 comment 10,
Comment 2 John Helmert III gentoo-dev Security 2021-10-01 02:07:10 UTC
It looks like the original emerge output is indicating binpkg use? I seem to hit this bug when world updating with `-k --with-bdeps=y` while dropping either of these options succeeds, so I guess that might point to `-k` as a trigger for this.
Comment 3 Sam James archtester gentoo-dev Security 2021-10-01 03:09:42 UTC
(In reply to John Helmert III from comment #2)
> It looks like the original emerge output is indicating binpkg use? I seem to
> hit this bug when world updating with `-k --with-bdeps=y` while dropping
> either of these options succeeds, so I guess that might point to `-k` as a
> trigger for this.

This might be bug 778038 (too?).